Get the default retention configuration
GET /api
Response
200 — The default retention configuration
Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.RetentionDaysinteger
Example Response
{
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"RetentionDays": 0
}Update the default retention configuration
PUT /api
Request Body
RetentionDaysinteger
Response
200 — Success
Example Request
{
"RetentionDays": 0
}Get the configured default retention policies for the given retention type
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Query Parameters
retentionTypestring (required)
Response
200 — Returns the configured default retention policy values
IdstringNamestringRetentionTypestringSpaceIdstring
Example Response
{
"Id": "string",
"Name": "string",
"RetentionType": "string",
"SpaceId": "string"
}Modify a default retention policy
PUT /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The id of the default retention policy.spaceIdstring (required)
The id of the space that contains the default retention policy.
Request Body
Idstring (required)
The id of the default retention policy.RetentionTypestring (required)
The type of the default retention policy. [“MachinePackageCache”, “LifecycleRetention”, “TentacleRetention”, “RunbookRetention”].SpaceIdstring (required)
The id of the space that contains the default retention policy.
Response
200 — The response returned from the request to modify a default retention policy.
IdstringNamestringRetentionTypestringSpaceIdstring
Example Request
{
"Id": "string",
"RetentionType": "string",
"SpaceId": "string"
}Example Response
{
"Id": "string",
"Name": "string",
"RetentionType": "string",
"SpaceId": "string"
}